Bug 169705 - lvm2 sets logical volume permissions to 0700
lvm2 sets logical volume permissions to 0700
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-01 14:08 EDT by Stephen Walton
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: old
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 12:56:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Walton 2005-10-01 14:08:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
After a reboot, udev is setting the permissions and owner of legacy logical volumes (e.g., /dev/VolGroup00) to 0700 and root:root, respectively.  These should rather be set to values which allow amanda and other backup software to follow the symbolic links in /dev/VolGroup00 to /dev/mapper/VolGroup00*:  permission 0750 and owner root:disk.  

Version-Release number of selected component (if applicable):
udev-058-1

How reproducible:
Always

Steps to Reproduce:
1. Change the owner and permissions on a logical volume, for example, /dev/VolGroup00, to root:disk and 0750, respectively.
2. Reboot system
  

Actual Results:  Logical volume owner and permissions are reset to root:root and 0700, respectively.

Expected Results:  Owner and permissions should be set to root:disk and 0750 to be consistent with /dev/mapper/VolGroup*

Additional info:

I'm afraid I don't understand udev configuration files well enough to suggest the actual fix, which I'm sure is relatively simple.  I can't even find the rule which resets /dev/VolGroup00 to the incorrect permissions.
Comment 1 Harald Hoyer 2005-10-05 03:31:09 EDT
# ls -l /dev/Vol1/lvol0
lrwxrwxrwx  1 root root 22  3. Okt 10:22 /dev/Vol1/lvol0 -> /dev/mapper/Vol1-lvol0
# udevinfo  -q all -n /dev/Vol1/lvol0
no record for 'Vol1/lvol0' in database
# udevinfo  -q all -n /dev/mapper/Vol1-lvol0
no record for 'mapper/Vol1-lvol0' in database
# udevinfo  -q all -n /dev/mapper/control
P: /class/misc/device-mapper
N: mapper/control

These symlinks and devices are _not_ under udev control.
Comment 2 Alasdair Kergon 2007-01-10 12:56:28 EST
This got fixed.  Plans are being discussed to integrate properly with udev.

Note You need to log in before you can comment on or make changes to this bug.